Tasking support

These functions support tasking constructs. More...

## Functions

kmp_int32 | __kmpc_omp_task_with_deps (ident_t *loc_ref, kmp_int32 gtid, kmp_task_t *new_task, kmp_int32 ndeps, kmp_depend_info_t *dep_list, kmp_int32 ndeps_noalias, kmp_depend_info_t *noalias_dep_list)
void | __kmpc_omp_wait_deps (ident_t *loc_ref, kmp_int32 gtid, kmp_int32 ndeps, kmp_depend_info_t *dep_list, kmp_int32 ndeps_noalias, kmp_depend_info_t *noalias_dep_list)

## Detailed Description

These functions support tasking constructs.

## Function Documentation

## __kmpc_omp_task_with_deps()

kmp_int32 __kmpc_omp_task_with_deps | ( | ident_t * | loc_ref,
|  | kmp_int32 | gtid,
|  | kmp_task_t * | new_task,
|  | kmp_int32 | ndeps,
|  | kmp_depend_info_t * | dep_list,
|  | kmp_int32 | ndeps_noalias,
|  | kmp_depend_info_t * | noalias_dep_list
| ) |  |

Parameters

  loc_ref | location of the original task directive
  gtid | Global Thread ID of encountering thread
  new_task | task thunk allocated by __kmp_omp_task_alloc() for the ''new task''
  ndeps | Number of depend items with possible aliasing
  dep_list | List of depend items with possible aliasing
  ndeps_noalias | Number of depend items with no aliasing
  noalias_dep_list | List of depend items with no aliasing

Returns
  Returns either TASK_CURRENT_NOT_QUEUED if the current task was not suspendend and queued, or TASK_CURRENT_QUEUED if it was suspended and queued

Schedule a non-thread-switchable task with dependences for execution

Definition at line 453 of file kmp_taskdeps.cpp.

## __kmpc_omp_wait_deps()

void __kmpc_omp_wait_deps | ( | ident_t * | loc_ref,
|  | kmp_int32 | gtid,
|  | kmp_int32 | ndeps,
|  | kmp_depend_info_t * | dep_list,
|  | kmp_int32 | ndeps_noalias,
|  | kmp_depend_info_t * | noalias_dep_list
| ) |  |

Parameters

  loc_ref | location of the original task directive
  gtid | Global Thread ID of encountering thread
  ndeps | Number of depend items with possible aliasing
  dep_list | List of depend items with possible aliasing
  ndeps_noalias | Number of depend items with no aliasing
  noalias_dep_list | List of depend items with no aliasing

Blocks the current task until all specifies dependencies have been fulfilled.

Definition at line 606 of file kmp_taskdeps.cpp.